# OgreMatrix4.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreVector3.h"`
`#include "OgreMatrix3.h"`
`#include "OgreVector4.h"`
`#include "OgrePlane.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Functions

Vector4 | operator * (const Vector4 &v, const Matrix4 &mat)

## Function Documentation

Vector4 Ogre::operator * | ( | const Vector4 & | v,
|  | const Matrix4 & | mat
| ) |

| Definition at line 515 of file OgreMatrix4.h. References Ogre::Vector4::w, Ogre::Vector4::x, Ogre::Vector4::y, and Ogre::Vector4::z.

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 17 15:39:13 2006